Bug 8369 - make targets for libtalloc / libtdb reduce to "." when system library is new enough
make targets for libtalloc / libtdb reduce to "." when system library is new ...
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Build environment
3.6.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 8399
  Show dependency treegraph
 
Reported: 2011-08-11 08:53 UTC by Michael Adam
Modified: 2011-09-01 21:43 UTC (History)
1 user (show)

See Also:


Attachments
patch for 3.6 (5.09 KB, patch)
2011-08-11 08:57 UTC, Michael Adam
no flags Details
patch for 3.6 (6.37 KB, patch)
2011-08-11 10:51 UTC, Michael Adam
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Adam 2011-08-11 08:53:56 UTC
When the system library for talloc or tdb is new, configure will by default chose to use these instead of building own copies internally. The configure/makefile magic used to achieve this is buggy in the sense that it reduces a couple of Makefile targets to ".". This leads to irritating build warning messages which are espacially inconvenient when stepping through build messages from an IDE like emacs:



~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
$ make showlibtalloc
Makefile:2064: warning: overriding commands for target `.'
Makefile:2060: warning: ignoring old commands for target `.'
WARNING: you need to rerun ./autogen.sh
WARNING: you need to run ./config.status

LIBTALLOC_SHARED                = 
LIBTALLOC_STATIC                = 
LIBTALLOC_LIBS                  = -ltalloc  

LIBTALLOC_SHARED_TARGET         = 
LIBTALLOC_SOVER                 = 
LIBTALLOC_FULLVER               = 
LIBTALLOC_SHARED TARGET_SONAME  = .
LIBTALLOC_SHARED TARGET_FULLVER = .
LIBTALLOC_STATIC_TARGET         = 
LIBTALLOC                       = 

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Patch following...
Comment 1 Michael Adam 2011-08-11 08:57:35 UTC
Created attachment 6771 [details]
patch for 3.6

This patch is currently in autobuild for master.
It fixes the problem for 3.6.
Comment 2 Michael Adam 2011-08-11 09:34:58 UTC
Comment on attachment 6771 [details]
patch for 3.6

Ok, this was too quick. This patch is still buggy.
Sorry...
Comment 3 Michael Adam 2011-08-11 10:51:39 UTC
Created attachment 6773 [details]
patch for 3.6

Ok, now I got all corner cases...
This patch is now in autobuild and has passed
s3 autoconf build and make test. Only s4 make test still running.

make showlibs output now looks  like this:

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
$ make showlibs

LIBTALLOC_SHARED                =
LIBTALLOC_STATIC                =
LIBTALLOC_LIBS                  = -ltalloc

LIBTALLOC_SHARED_TARGET         =
LIBTALLOC_SOVER                 =
LIBTALLOC_FULLVER               =
LIBTALLOC_SHARED TARGET_SONAME  =
LIBTALLOC_SHARED TARGET_FULLVER =
LIBTALLOC_STATIC_TARGET         =
LIBTALLOC                       =

LIBTDB_SHARED                = bin/libtdb.so
LIBTDB_STATIC                =
LIBTDB_LIBS                  = -ltdb

LIBTDB_SHARED_TARGET         = bin/libtdb.so
LIBTDB_SOVER                 = 1
LIBTDB_FULLVER               = 1.2.9
LIBTDB_SHARED TARGET_SONAME  = bin/libtdb.so.1
LIBTDB_SHARED TARGET_FULLVER = bin/libtdb.so.1.2.9
LIBTDB_STATIC_TARGET         = bin/libtdb.a
LIBTDB                       = bin/libtdb.so

LIBWBCLIENT_SHARED               = bin/libwbclient.so
LIBWBCLIENT_STATIC               =
LIBWBCLIENT_LIBS                 = -lwbclient

LIBWBCLIENT_SHARED_TARGET        = bin/libwbclient.so
LIBWBCLIENT_SOVER                = 0
LIBWBCLIENT_FULLVER              = 0
LIBWBCLIENT_SHARED TARGET_SONAME = bin/libwbclient.so.0
LIBWBCLIENT_STATIC_TARGET        = bin/libwbclient.a
LIBWBCLIENT                      = bin/libwbclient.so

LIBADDNS_SHARED               =
LIBADDNS_STATIC               = bin/libaddns.a
LIBADDNS_LIBS                 =

LIBADDNS_SHARED_TARGET        = bin/libaddns.so
LIBADDNS_SOVER                = 0
LIBADDNS_FULLVER              = 0
LIBADDNS_SHARED TARGET_SONAME = bin/libaddns.so.0
LIBADDNS_STATIC_TARGET        = bin/libaddns.a
LIBADDNS                      = bin/libaddns.a

LIBNETAPI_SHARED               = bin/libnetapi.so
LIBNETAPI_STATIC               = bin/libnetapi.a
LIBNETAPI_LIBS                 = bin/libnetapi.a

LIBNETAPI_SHARED_TARGET        = bin/libnetapi.so
LIBNETAPI_SOVER                = 0
LIBNETAPI_FULLVER              = 0
LIBNETAPI_SHARED TARGET_SONAME = bin/libnetapi.so.0
LIBNETAPI_STATIC_TARGET        = bin/libnetapi.a
LIBNETAPI                      = bin/libnetapi.a bin/libnetapi.so

LIBSMBCLIENT_SHARED               = bin/libsmbclient.so
LIBSMBCLIENT_STATIC               = bin/libsmbclient.a
LIBSMBCLIENT_LIBS                 = bin/libsmbclient.a

LIBSMBCLIENT_SHARED_TARGET        = bin/libsmbclient.so
LIBSMBCLIENT_SOVER                = 0
LIBSMBCLIENT_FULLVER              = 0
LIBSMBCLIENT_SHARED TARGET_SONAME = bin/libsmbclient.so.0
LIBSMBCLIENT_STATIC_TARGET        = bin/libsmbclient.a
LIBSMBCLIENT                      = bin/libsmbclient.a bin/libsmbclient.so

LIBSMBSHAREMODES_SHARED               = bin/libsmbsharemodes.so
LIBSMBSHAREMODES_STATIC               = bin/libsmbsharemodes.a
LIBSMBSHAREMODES_TARGET               = bin/libsmbsharemodes.so
LIBSMBSHAREMODES_LIBS                 = -lsmbsharemodes

LIBSMBSHAREMODES_SHARED_TARGET        = bin/libsmbsharemodes.so
LIBSMBSHAREMODES_SOVER                = 0
LIBSMBSHAREMODES_FULLVER              = 0
LIBSMBSHAREMODES_SHARED TARGET_SONAME = bin/libsmbsharemodes.so.0
LIBSMBSHAREMODES_STATIC_TARGET        = bin/libsmbsharemodes.a
LIBSMBSHAREMODES                      = bin/libsmbsharemodes.a bin/libsmbsharemodes.so
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Comment 4 Michael Adam 2011-08-11 11:28:34 UTC
Now the patch is in master.
Comment 5 Volker Lendecke 2011-08-11 12:08:40 UTC
Comment on attachment 6773 [details]
patch for 3.6

Works fine for me.
Comment 6 Michael Adam 2011-08-11 14:55:29 UTC
==> Karolin for 3.6.1
Comment 7 Karolin Seeger 2011-08-18 19:03:33 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!